Tryton - Issues

 

Issue8161

Title The description of a timesheet line is also saved on the other selected record
Priority bug Status closed
Superseder Nosy List ced, edbo
Type Components timesheet
Assigned To Keywords
Reviews

Created on 2019-03-01.11:33:05 by edbo, last changed by ced.

Messages
msg48820 (view) Author: [hidden] (edbo) Date: 2019-04-10.23:31:05
Reproducable:
Server: Tryton 5.0.5
Client: Tryton 5.0.2

Not reproducable:
Server: Tryton 5.0.5
Client: Tryton 5.0.8

To me, it seems something from the client side, not sending correct information to the server.

BTW. greyed button means "not active". So you see the image you can click on it but it doesn't doe anything because it's deactivated. 
This behavior is perfectly ok because you have to confirm your changes in the text-field by clicking outside the field or press enter (which in this case creates a new entry)
msg48818 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-10.23:20:40
As you talk about greyed button, I guess it is tryton. I tried to reproduce on trunk but without success. Which version?
msg48817 (view) Author: [hidden] (edbo) Date: 2019-04-10.23:18:36
I used the GTK desktop client version 5.0.2 at that moment. I'm now using 5.0.8 and it doesn't do this anymore! Tried it several times.

So you can close this issue. It's fixed :-)
msg48815 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-04-10.23:06:32
Which client are you using?
msg47285 (view) Author: [hidden] (edbo) Date: 2019-03-01.11:33:04
When changing the description of a timesheet line, you have to de-select the field to make the save-button available (it's standard greyd out). So you either select a field on the same line, or you select another line. In the last case, when you select the description field of that line, the changed description is also stored on that line, so you loose that description.

To reproduce the issue:
1. create 2 timesheet lines. It doesn't matter if you do that on the complete list with all the timesheet lines or via the wizard for filtering per date.
2. select one timesheet line and change the description (you stay in list-view). Mention that the save-button is greyd-out
3. select the description-field on the other line
4. click on the save-button. Mention that the description is also stored on that line

When you do the above again but select another field on the other line, it works like expected.
History
Date User Action Args
2019-04-11 09:49:07cedsetstatus: chatting -> closed
2019-04-10 23:31:06edbosetstatus: closed -> chatting
messages: + msg48820
2019-04-10 23:21:51cedsetstatus: need-eg -> closed
2019-04-10 23:20:40cedsetmessages: + msg48818
2019-04-10 23:18:36edbosetmessages: + msg48817
2019-04-10 23:06:32cedsetstatus: unread -> need-eg
nosy: + ced
messages: + msg48815
2019-03-01 11:33:05edbocreate

Showing 10 items. Show all history (warning: this could be VERY long)